diff-ops-fluentbit:
  stage: diff-and-build
  script:
    - echo 'Running helm diff...'
  only:
    changes:
      - "*"
      - "fluentbit/**/*"

diff-dev-fluentbit:
  stage: diff-and-build
  script:
    - echo 'Running helm diff...'
  only:
    changes:
      - "*"
      - "fluentbit/**/*"

diff-preprod-fluentbit:
  stage: diff-and-build
  script:
    - echo 'Running helm diff...'
  only:
    changes:
      - "*"
      - "fluentbit/**/*"

diff-mgmt-fluentbit:
  stage: diff-and-build
  script:
    - echo 'Running helm diff...'
  only:
    changes:
      - "*"
      - "fluentbit/**/*"

diff-prod-fluentbit:
  stage: diff-and-build
  script:
    - echo 'Running helm diff...'
  only:
    changes:
      - "*"
      - "fluentbit/**/*"

deploy-ops-fluentbit:
  stage: ops
  environment:
    name: ops-fluentbit
  script:
    - echo 'Running helm upgrade...'
  only:
    refs:
      - master
    changes:
      - "*"
      - "fluentbit/**/*"
  needs:
    - diff-ops-fluentbit
    - diff-dev-fluentbit
    - diff-preprod-fluentbit
    - diff-mgmt-fluentbit
    - diff-prod-fluentbit

deploy-dev-fluentbit:
  stage: dev
  environment:
    name: dev-fluentbit
  script:
    - echo 'Running helm upgrade...'
  only:
    refs:
      - master
    changes:
      - "*"
      - "fluentbit/**/*"
  needs:
    - deploy-ops-fluentbit

deploy-preprod-fluentbit:
  stage: preprod
  environment:
    name: preprod-fluentbit
  script:
    - echo 'Running helm upgrade...'
  only:
    refs:
      - master
    changes:
      - "*"
      - "fluentbit/**/*"
  needs:
    - deploy-dev-fluentbit

deploy-mgmt-fluentbit:
  stage: mgmt
  environment:
    name: mgmt-fluentbit
  script:
    - echo 'Running helm upgrade...'
  only:
    refs:
      - master
    changes:
      - "*"
      - "fluentbit/**/*"
  needs:
    - deploy-preprod-fluentbit

deploy-prod-fluentbit:
  stage: prod
  environment:
    name: prod-fluentbit
  script:
    - echo 'Running helm upgrade...'
  only:
    refs:
      - master
    changes:
      - "*"
      - "fluentbit/**/*"
  needs:
    - deploy-mgmt-fluentbit
